Skip to content
RelayDocumentation

API ReferenceEvents

List events

Return the events you sent, newest first, with optional filters.

GET/v1/events

Query parameters

typestring
Only events of this type. Wildcards work: invoice.*.
statusstring
One of queued, delivering, delivered, failing or failed.
created_afterstring
ISO 8601 timestamp.
created_beforestring
ISO 8601 timestamp.
limitintegerdefault: 20

Request

curl -G https://api.relay.dev/v1/events \
  -H "Authorization: Bearer $RELAY_API_KEY" \
  -d type=invoice.paid \
  -d status=failed

Response

200 OK
{
  "object": "list",
  "data": [
    {
      "id": "evt_9fK2mLq81",
      "object": "event",
      "type": "invoice.paid",
      "status": "failed",
      "created_at": "2026-10-14T09:31:12Z",
      "endpoints_matched": 2
    }
  ],
  "has_more": false
}